<template>
  <article class="grid text:pink">
    <div class="bio-heading">
      <base-scroll-animation
        :type="'fade'"
        :duration="750"
        :delay="750"
        :once="true"
      >
        <template v-slot:animate>
          <h3>
            <knockout-text v-for="(title, i) in titles" :key="i">
              <template v-slot:default>
                <span>
                  {{ title.title }}
                </span>
              </template>
            </knockout-text>
          </h3>
        </template>
      </base-scroll-animation>
    </div>
    <div class="bio-copy">
      <base-scroll-animation
        :type="'fade'"
        :duration="1000"
        :delay="750"
        :once="true"
      >
        <template v-slot:animate>
          <p class="copy copy:small">
            Born in Northern C<span class="-ss02">a</span>liforni<span
              class="-ss02"
              >a</span
            >, <span class="-ss02">A</span>ustin w<span class="-ss02">a</span>s
            r<span class="-ss02">a</span>ised with <span class="-ss02">a</span>n
            <span class="-ss02">a</span>ppreci<span class="-ss02">a</span>tion
            of <span class="-ss02">a</span>rt. While exploring his identity, he
            dove into the loc<span class="-ss02">a</span>l punk scene
            <span class="-ss02">a</span>nd eventu<span class="-ss02">a</span>lly
            found himself dr<span class="-ss02">a</span>wn to t<span
              class="-ss02"
              >a</span
            >ttoo culture. The world of t<span class="-ss02">a</span>ttooing
            gr<span class="-ss02">a</span>bbed his
            <span class="-ss02">a</span>ttention <span class="-ss02">a</span>nd
            never let go. Over the next sever<span class="-ss02">a</span>l
            ye<span class="-ss02">a</span>rs, he’d found himself in
            <span class="-ss02">a</span>nd out of t<span class="-ss02">a</span
            >ttoo shops dozens of times.
          </p>
        </template>
      </base-scroll-animation>
      <base-scroll-animation
        :type="'fade'"
        :duration="1000"
        :delay="250"
        :once="true"
      >
        <template v-slot:animate>
          <p class="copy copy:small">
            Traveling the world in search of new inter<span class="-ss02"
              >a</span
            >ctions with people, pl<span class="-ss02">a</span>ces, fl<span
              class="-ss02"
              >a</span
            >vors, communic<span class="-ss02">a</span>tions,
            <span class="-ss02">a</span>nd inspir<span class="-ss02">a</span
            >tion brought <span class="-ss02">A</span>ustin to live in Melbourne
            <span class="-ss02">A</span>ustr<span class="-ss02">a</span>li<span
              class="-ss02"
              >a</span
            >&nbsp; <span class="-ss02">a</span>s
            <span class="-ss02">a</span> teen<span class="-ss02">a</span>ger,
            l<span class="-ss02">a</span>ter l<span class="-ss02">a</span>nding
            in S<span class="-ss02">a</span>n Fr<span class="-ss02">a</span
            >ncisco where he worked <span class="-ss02">a</span>t Idle H<span
              class="-ss02"
              >a</span
            >nd for 8 ye<span class="-ss02">a</span>rs,
            <span class="-ss02">a</span>nd fin<span class="-ss02">a</span>lly
            migr<span class="-ss02">a</span>ting south to Los
            <span class="-ss02">A</span>ngeles where he opened his first t<span
              class="-ss02"
              >a</span
            >ttoo studio, Enjoy T<span class="-ss02">a</span>ttoos in l<span
              class="-ss02"
              >a</span
            >te 2020. His explor<span class="-ss02">a</span>tions of Europe,
            Sc<span class="-ss02">a</span>ndin<span class="-ss02">a</span
            >vi<span class="-ss02">a</span>,
            <span class="-ss02">A</span>fric<span class="-ss02">a</span> h<span
              class="-ss02"
              >a</span
            >d <span class="-ss02">a</span> gre<span class="-ss02">a</span>t
            imp<span class="-ss02">a</span>ct on him,
            <span class="-ss02">a</span>nd continue to influence his work
            tod<span class="-ss02">a</span>y.
          </p>
        </template>
      </base-scroll-animation>
      <base-scroll-animation
        :type="'fade'"
        :duration="750"
        :delay="250"
        :once="true"
      >
        <template v-slot:animate>
          <p class="copy copy:small">
            <span class="-ss02">A</span>ustin is interested in keeping the
            tr<span class="-ss02">a</span>dition
            <span class="-ss02">a</span>live. He <span class="-ss02">a</span>lso
            believes th<span class="-ss02">a</span>t cre<span class="-ss02"
              >a</span
            >tivity, <span class="-ss02">a</span>rtistic fluidity,
            <span class="-ss02">a</span>nd inclusivity c<span class="-ss02"
              >a</span
            >n le<span class="-ss02">a</span>d to powerful coll<span
              class="-ss02"
              >a</span
            >bor<span class="-ss02">a</span>tions. Drop me
            <span class="-ss02">a</span> line if you w<span class="-ss02"
              >a</span
            >nt to t<span class="-ss02">a</span>lk
            <span class="-ss02">a</span>bout
            <span class="-ss02">a</span> project, or just s<span class="-ss02"
              >a</span
            >y hi.
          </p>
        </template>
      </base-scroll-animation>
    </div>
  </article>
</template>

<script>
import KnockoutText from "../Headings/KnockoutText.vue";
export default {
  components: { KnockoutText },
  data() {
    return {
      titles: [
        {
          title: "BIO"
        },
        {
          title: "BIO"
        },
        {
          title: "BIO"
        },
        {
          title: "BIO"
        }
      ]
    };
  }
};
</script>

<style lang="scss" scoped>
@import "~@/assets/scss/config/_variables.scss";
@import "~@/assets/scss/globals/_colors.scss";

article {
  padding-top: 5rem;
  @media all and (min-width: 768px) {
    padding-top: 5.32rem;
  }
  @media all and (min-width: 1280) {
    padding-top: $section-pad-top;
  }
}

.grid {
  grid-template-columns: auto;
  @media all and (min-width: 768px) {
    grid-template-columns: 1fr auto;
    grid-gap: 2.1rem;
    // margin-bottom: -1px;
  }
  @media all and (min-width: 1024px) {
    grid-template-columns: 61vw 1fr;
    grid-gap: 7.1rem;
  }
}
.bio {
  &-strong {
    color: $white;
  }
  &-heading {
    margin-bottom: 2rem;
    order: 1;
    @media all and (min-width: 768px) {
      margin-bottom: 7rem;
      margin-bottom: 0;
      order: 2;
    }
  }
  &-copy {
    width: 100%;
    max-width: 56rem;
    order: 2;
    @media all and (min-width: 768px) {
      order: 1;
    }
  }
  &-link {
    color: $white;
    display: inline-block;
    border-bottom-width: 2px;
    border-bottom-style: solid;
    border-bottom-color: $white;
    &:hover {
      color: darken($pink, 10%);
      border-bottom-color: darken($pink, 10%);
    }
  }
}
.copy\:small {
  line-height: 1.47;
  margin-bottom: 2.3rem;
  text-align: left;
  font-size: 1.15rem;
  @media all and (min-width: 768px) {
    font-size: 1.3rem;
    margin-bottom: 3.5rem;
  }
  @media all and (min-width: 1440px) {
    font-size: 1.875rem;
  }
  @media all and (min-width: 1920px) {
    font-size: 2.5rem;
  }
}
</style>
